<?php
    if (empty($_REQUEST['manufacturer_id']) OR empty($_REQUEST['system_id']) OR empty($_REQUEST['type_id'])) {
        echo "Error";
        exit();
    }

    $host = "webdev.iyaserver.com";
        $userid = "dent_guest";
        $userpw = "Acad276_Dev2Ex@m";
        $db = "dent_exam";

    $mysql = new mysqli(
        $host,
        $userid,
        $userpw,
        $db
    );

    if($mysql->connect_errno) {
        echo "db connection error : " . $mysql->connect_error;
        exit();
    } /*else {
        echo "db connection succeeded";
    }*/

    $sql = "SELECT * FROM devices, manufacturers, systems, types WHERE 
        devices.manufacturer_id = manufacturers.manufacturer_id
        AND devices.system_id = systems.system_id
        AND devices.type_id = types.type_id
                                                       
        AND devices.name LIKE '%" . $_REQUEST['device_name'] . "%'
        AND devices.manufacturer_id = '" . $_REQUEST['manufacturer_id'] . "' 
        AND devices.system_id = '" . $_REQUEST['system_id'] . "'
        AND devices.type_id = '" . $_REQUEST['type_id'] . "'";

    // IF I were to add "ALL" search criteria, I would break down each of the $_REQUEST statements inside of $sql and create an IF statement for each that would execute only if (for example) $_REQUEST['manufacturer_id'] != 'ALL'. Basically, I want to keep $sql generic, unless the requested variable isn't set to ALL. If it wasn't equal to "ALL", I would create an addition statement that would be something along the lines of $sql = $sql . "..." where I'm joining the previous statement with the new one!

    //echo "<hr>$sql<hr>";

    $results = $mysql->query($sql);

    if(!$results) {
        echo "SQL error: ". $mysql->error;
        exit();
    } /*else {
        echo "success";
    }*/

?>

<!DOCTYPE html>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <div class="num-results">

        Your search returned

        <strong>
            <?php
                echo $results->num_rows;
            ?>
        </strong>

        results.

    </div>



    <table>

        <tr>

            <th>Name</th>

            <th>Price</th>

            <th>Manufacturer</th>

            <th>System</th>

            <th>Type</th>

        </tr>



        <!--

        ****** SAMPLE OUTPUT ROW ******

        -->

        <?php
        while ($currentrow = $results->fetch_assoc())
        {
            echo "<tr>";
            echo "<td><a href = 'details.php?id=" . $currentrow["device_id"] . "'>". $currentrow["name"] . "</td>";
            echo "<td>" . $currentrow["price"] . "</td>";
            echo "<td>" . $currentrow["manufacturer"] . "</td>";
            echo "<td>" . $currentrow["system"] . "</td>";
            echo "<td>" . $currentrow["type"] . "</td>";
        }
        ?>

    </table>

</div>

</body>

</html>